.masthead-preloader {
    display: none;
}

@media (min-width: 1200px) {
    body.turn-off-sparkle .loading-mask {
        display: none;
    }
    body:not(.turn-off-sparkle) {
        .js-masthead-homepage {
            position: relative;
            overflow: hidden;
        }
        .masthead-preloader {
            display: block;
            position: absolute;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            z-index: 5;

            &::before {
                /* background: linear-gradient(90deg, rgb(21 67 105 / 40%) 18.77%, rgb(21 67 105 / 17%) 69.78%); */
                background: linear-gradient(90deg, rgba(255, 255, 255, 0.4) 18.77%, rgba(255, 255, 255, 0.17) 69.78%);
                position: absolute;
                content: '';
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
            }

            .booth, .prefab {
                opacity: 0;
                transform: translateX(-100px);
            }

            & svg {
                position: absolute;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
                z-index: 5;

                & .masthead-preloader__logo {
                    transform: translateX(43%);
                    opacity: 0;
                }

                & .masthead-preloader__logo-green {
                    transform: translateX(66px);
                    opacity: 0;
                }
            }

            & video {
                width: 100%;
                height: 100%;
                object-fit: cover;
                z-index: 3;
            }
        }

        .page-header:not(.js-scrolled) {
            opacity: 0;
            transform: translateY(-100px);
        }

        .masthead__text > * {
            opacity: 0;
            transform: translateY(100px);
        }

        .js-division .service-card__image {
            opacity: 0;
            transform: translateY(100px);
        }

        .js-division .service-cards-item .service-card__logo {
            opacity: 0;
            transform: translateX(100px);
        }

        .js-half-text-half-image.image-text--right {
            & .js-half-text-half-image-image {
                opacity: 0;
                transform: translateX(100px);   
            }

            & .image-text__logo-icon,
            & .image-text__texture {
                opacity: 0;
                transform: translateX(-100px);
            }
        }

        .js-half-text-half-image.image-text--left {
            & .js-half-text-half-image-image {
                opacity: 0;
                transform: translateX(-100px);
            }

            & .image-text__logo-icon,
            & .image-text__texture {
                opacity: 0;
                transform: translateX(100px);
            }
        }

        .js-half-text-half-image.image-text--right {
            & .js-half-text-half-image-text > * {
                opacity: 0;
                transform: translateX(-100px);
            }
        }

        .js-half-text-half-image.image-text--left {
            & .js-half-text-half-image-text > * {
                opacity: 0;
                transform: translateX(100px);
            }
        }

        .js-content-animation {
            & .content-animation__content > * {
                opacity: 0;
                transform: translateY(100px);
            }

            & .animated-items {
                opacity: 0;
                transform: translateY(100px);
            }

        }

        .js-image-gallery {
            & .image-gallery-container {
                opacity: 0;
                transform: translateX(100px);
            }

            & .image-gallery-btn {
                opacity: 0;
                transform: translateX(100px);
            }
        }

        /* .image-text-slider-flex-scroll {
            &.active {
                & .image-text-slider-text > * {
                    opacity: 1;
                    transform: translateX(0);
                }
            }

            & .image-text-slider-text > * {
                opacity: 0;
                transform: translateX(100px);

            }
        } */

        .animated-content {
            & p, ul li, ol, li, h2, h3, h4, blockquote, div, article, table {
                opacity: 0;
                transform: translateY(100px);
            }
        }

        .js-statistics {
            & .statistics-image-text__image {
                opacity: 0;
                transform: translateX(200px);
            }

            & .statistics-col {
                opacity: 0;
                transform: translateY(100px);
                transform: translateY(100px);
            }
        }

        .js-cta-banner,
        .full-width-image-cta__overlay__text {
            opacity: 0;
            transform: translateY(100px);
            overflow: hidden;
        }

        .js-overlay-text {
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: var(--dark-blue);
            transform-origin: bottom;
            transition-delay: 0s;
            z-index: 3;
        }

        .js-cta-slider {
            & .image-text-slider-text {
                opacity: 0;
                transform: translateX(100px);
            }

            & .image-text-slider-image {
                opacity: 0;
                transform: translateX(-100px);
            }

            & .image-text-sliders__scroll__tabs {
                opacity: 0;
                transform: translateY(100px);
            }
        }

        .js-fade-up-animation-element-item {
            opacity: 0;
            transform: translateY(100px);
        }

        .desktop-menu__search {
            right: -60px;
            transition: right 0.3s ease;
            
            &.js-search-active {
                right: 0;
            }
        }

        .masthead--innerpage {
            & .masthead--innerpage__text > :is(h1, .h1) {
                opacity: 0;
                transform: translateY(100px);
            }

            & .masthead--innerpage__text > .breadcrumbs {
                opacity: 0;
                transform: translateY(-50px);
            }
        }
    }
}